# Class QueryEvents

## Index

### Properties

- buildingQuery
- deferredQuerySuccess
- doneBuildingQuery
- duringFetchMoreQuery
- duringQuery
- fetchMoreSuccess
- newQuery
- noResults
- preprocessMoreResults
- preprocessResults
- queryError
- querySuccess

## Properties

### Static buildingQuery

buildingQuery: string

- Defined in events/QueryEvents.ts :239

### Static deferredQuerySuccess

deferredQuerySuccess: string

- Defined in events/QueryEvents.ts :297

### Static doneBuildingQuery

doneBuildingQuery: string

- Defined in events/QueryEvents.ts :250

### Static duringFetchMoreQuery

duringFetchMoreQuery: string

- Defined in events/QueryEvents.ts :268

### Static duringQuery

duringQuery: string

- Defined in events/QueryEvents.ts :259

### Static fetchMoreSuccess

fetchMoreSuccess: string

- Defined in events/QueryEvents.ts :286

### Static newQuery

newQuery: string

- Defined in events/QueryEvents.ts :228

### Static noResults

noResults: string

- Defined in events/QueryEvents.ts :341

### Static preprocessMoreResults

preprocessMoreResults: string

- Defined in events/QueryEvents.ts :332

### Static preprocessResults

preprocessResults: string

- Defined in events/QueryEvents.ts :319

### Static queryError

queryError: string

- Defined in events/QueryEvents.ts :306

### Static querySuccess

querySuccess: string

- Defined in events/QueryEvents.ts :277

### Hierarchy

- QueryEvents